Bug 1142882 - (CVE-2019-14233) VUL-0: CVE-2019-14233: python-Django: Denial-of-service possibility in ``strip_tags()``
(CVE-2019-14233)
VUL-0: CVE-2019-14233: python-Django: Denial-of-service possibility in ``stri...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/237995/
CVSSv3:SUSE:CVE-2019-14233:7.5:(AV:N/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-25 15:08 UTC by Wolfgang Frisch
Modified: 2020-05-04 07:45 UTC (History)
6 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 4 Alexandros Toptsoglou 2019-08-01 11:45:17 UTC
Now public through https://www.djangoproject.com/weblog/2019/aug/01/security-releases/


CVE-2019-14233: Denial-of-service possibility in strip_tags()

Due to the behavior of the underlying HTMLParser, django.utils.html.strip_tags() would be extremely slow to evaluate certain inputs containing large sequences of nested incomplete HTML entities. The strip_tags() method is used to implement the corresponding striptags template filter, which was thus also vulnerable.

strip_tags() now avoids recursive calls to HTMLParser when progress removing tags, but necessarily incomplete HTML entities, stops being made.

Remember that absolutely NO guarantee is provided about the results of strip_tags() being HTML safe. So NEVER mark safe the result of a strip_tags() call without escaping it first, for example with django.utils.html.escape().
Comment 5 Swamp Workflow Management 2019-08-01 12:20:18 UTC
This is an autogenerated message for OBS integration:
This bug (1142882) was mentioned in
https://build.opensuse.org/request/show/720189 Factory / python-Django
https://build.opensuse.org/request/show/720190 Factory / python-Django1
https://build.opensuse.org/request/show/720192 15.1 / python-Django
Comment 8 Swamp Workflow Management 2019-08-08 19:11:57 UTC
openSUSE-SU-2019:1839-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1136468,1139945,1142880,1142882,1142883,1142885
CVE References: CVE-2019-11358,CVE-2019-12308,CVE-2019-12781,CVE-2019-14232,CVE-2019-14233,CVE-2019-14234,CVE-2019-14235
Sources used:
openSUSE Leap 15.1 (src):    python-Django-2.2.4-lp151.2.3.1
Comment 9 Swamp Workflow Management 2019-08-14 13:24:04 UTC
openSUSE-SU-2019:1872-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1136468,1139945,1142880,1142882,1142883,1142885
CVE References: CVE-2019-11358,CVE-2019-12308,CVE-2019-12781,CVE-2019-14232,CVE-2019-14233,CVE-2019-14234,CVE-2019-14235
Sources used:
openSUSE Backports SLE-15-SP1 (src):    python-Django-2.2.4-bp151.3.3.1
Comment 10 Swamp Workflow Management 2019-08-19 19:13:00 UTC
SUSE-SU-2019:2180-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1142880,1142882,1142883,1142885
CVE References: CVE-2019-14232,CVE-2019-14233,CVE-2019-14234,CVE-2019-14235
Sources used:
SUSE OpenStack Cloud 7 (src):    python-Django-1.8.19-3.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2019-09-02 10:32:34 UTC
SUSE-SU-2019:2257-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1136468,1139945,1142880,1142882,1142883,1142885
CVE References: CVE-2019-12308,CVE-2019-12781,CVE-2019-14232,CVE-2019-14233,CVE-2019-14234,CVE-2019-14235
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    python-Django-1.11.23-3.12.1
SUSE OpenStack Cloud 8 (src):    python-Django-1.11.23-3.12.1
HPE Helion Openstack 8 (src):    python-Django-1.11.23-3.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Marcus Meissner 2019-09-04 06:19:46 UTC
released
Comment 13 Swamp Workflow Management 2019-09-09 13:14:32 UTC
SUSE-SU-2019:2335-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1136468,1139945,1142880,1142882,1142883,1142885
CVE References: CVE-2019-12308,CVE-2019-12781,CVE-2019-14232,CVE-2019-14233,CVE-2019-14234,CVE-2019-14235
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    python-Django1-1.11.23-3.9.1
SUSE OpenStack Cloud 9 (src):    python-Django1-1.11.23-3.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.